Bug 1418593 (CVE-2017-5836) - CVE-2017-5836 libplist: Type inconsistency in bplist.c
Summary: CVE-2017-5836 libplist: Type inconsistency in bplist.c
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-5836
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1418597
Blocks: 1418595
TreeView+ depends on / blocked
 
Reported: 2017-02-02 09:50 UTC by Andrej Nemec
Modified: 2019-09-29 14:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-06 08:19:13 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-02-02 09:50:32 UTC
A vulnerability was found in libplist. There is a use-after-free issue in the bplist.c. A maliciously crafted file could cause the application to crash.

Upstream bug:

https://github.com/libimobiledevice/libplist/issues/86

Upstream patch:

https://github.com/libimobiledevice/libplist/commit/7a28a14cf6ed547dfd2e52a4db17f47242bfdef9

Comment 1 Andrej Nemec 2017-02-02 09:55:00 UTC
Created libplist tracking bugs for this issue:

Affects: fedora-all [bug 1418597]


Note You need to log in before you can comment on or make changes to this bug.